Subject: 答复: 答复: 氮

From: Bin Li <[email-masked]>
Date: Fri, 08 Nov 2002 13:50:03 +0800

In theory, VLAN can transport via WAN link. But it'll as expensive as other WAN technology. And it's not the only choice. Users can access PE by VLAN, ATM, FR, PoS, E1 and etc. Why should we use label to separate VPN site? MPLS label can work on any Layer 2 technology.
Each IP interface/address will never consume more than resource MP-BGP, but many IP interface/address will consume more than MP-BGP. In the other word. HoPE is very scalability. MP-BGP is a dynamic mechanism, but VLAN will be configured each by each manually.
BTW, if SPE directly links with UPE, UPE needn't run LDP/RSVP. 

-----原始邮件-----
发件人: Ray Qiu [mailto:[email-masked]]
发送时间: 2002年11月8日 11:59
收件人: Bin Li
主题: Re: 答复: 氮

Bin,

It sounds to me like an implementation issue.  VLAN can be supported on WAN
links as well as 802.1Q.  IP interface/address would never consume more
resource than MP-BGP and LDP/RSVP.

- Ray

On 11/7/02 19:51, "Bin Li" <[email-masked]> wrote:

> Ray,
> The key is the distance between UPE and SPE. Sometime, you must use a WAN link
> between them. And when VLANs are used to separate sites, you must configure
> many VLAN  in a PE, and assign a VLAN to a VRF. Usually, a VLAN in a router is
> a sub-interface, it should have a IP address and consume some resource. It's
> costly and difficult to maintain.
> 
> 
> 
> 
> -----原始邮件-----
> 发件人: Ray Qiu [mailto:[email-masked]]
> 发送时间: 2002年11月8日 10:46
> 收件人: 昪暉桭
> 抄送: [email-masked]
> 主题: Re: 氮

---

From: Ray Qiu <[email-masked]>
Date: Thu, 07 Nov 2002 22:36:12 -0800

Bin,

What I meant was that you could use normal L2 technologies, such as VLAN,
PVC, to tunnel the customer IP traffic to the 2547 PEs.  This way you could
use a much cheap box at the very edge, instead of a router that needs to
support MPLS and MP-BGP.

I agree that hierarchical design will help to improve scalability if
applicable.  

It seems that the method can be achieved by configurations (MP-BGP and BGP
policies) and it doesn't require new techniques.

- Ray

How many customers will you connect on the UPE?

On 11/7/02 21:50, "Bin Li" <[email-masked]> wrote:

> In theory, VLAN can transport via WAN link. But it'll as expensive as other
> WAN technology. And it's not the only choice. Users can access PE by VLAN,
> ATM, FR, PoS, E1 and etc. Why should we use label to separate VPN site? MPLS
> label can work on any Layer 2 technology.
> Each IP interface/address will never consume more than resource MP-BGP, but
> many IP interface/address will consume more than MP-BGP. In the other word.
> HoPE is very scalability. MP-BGP is a dynamic mechanism, but VLAN will be
> configured each by each manually.

---

From: Bin Li <[email-masked]>
Date: Fri, 08 Nov 2002 14:50:19 +0800

Sometime, It is necessary to provide VPN service at the very edge. Users don't want access PE by a long distance L2 link which is  expensive. UPE can aggregate them and separate them by label. It only need one WAN link.  It's cheap than many WAN links.

SPE should do some more in this mechanism. The PE just according rfc2547bis will not work well in this environment. So I commit this proposal.

-----原始邮件-----
发件人: Ray Qiu [mailto:[email-masked]]
发送时间: 2002年11月8日 14:36
收件人: Bin Li
抄送: [email-masked]
主题: Re: 答复: 答复: 氮

Bin,

- Ray

---

From: Robert Raszuk <[email-masked]>
Date: Fri, 08 Nov 2002 09:10:28 +0100

Bin,

> Sometime, It is necessary to provide VPN service 
> at the very edge. 

True.

> Users don't want access PE by 
> a long distance L2 link which is  expensive. 

True.

> UPE 
> can aggregate them and separate them by label. 
> It only need one WAN link.  It's cheap than 
> many WAN links.

Why many WAN links ... I don't think there is any need for them. Your
proposal may work indeed but IMHO adds unnecessary level of complication
for SPs who already solved the same exact problem with a trival solution
;).

The most commonly used way (- deployed already in multiple production
networks) to achive exactly what your draft is after is so called
managed service where CE (from original 2547 point of view) is not one
routing context, but one router with multiple routing instances
(multi-vrf) without any MPLS or any vpnv4 BGP sessions between such a
box and PE. 

Then each vrf simply comunicates with PE by for example frame relay
encapsulation over the same physical link so WAN link costs are
independent from # of remote VPNs.

Thx,
R.

Bin Li wrote:
> -----Ô­Ê¼ÓÊ¼þ-----
> ·¢¼þÈË: Ray Qiu [mailto:[email-masked]]
> ·¢ËÍÊ±¼ä: 2002Äê11ÔÂ8ÈÕ 14:36
> ÊÕ¼þÈË: Bin Li
> ³ËÍ: [email-masked]
> Ö÷Ìâ: Re: ´ð¸´: ´ð¸´: µª
> 
> Bin,
> 
> > -----Ô­Ê¼ÓÊ¼þ-----
> > ·¢¼þÈË: Ray Qiu [mailto:[email-masked]]
> > ·¢ËÍÊ±¼ä: 2002Äê11ÔÂ8ÈÕ 11:59
> > ÊÕ¼þÈË: Bin Li
> > Ö÷Ìâ: Re: ´ð¸´: µª
> >
> >
> >
> > Bin,
> >
> >> -----Ô­Ê¼ÓÊ¼þ-----
> >> ·¢¼þÈË: Ray Qiu [mailto:[email-masked]]
> >> ·¢ËÍÊ±¼ä: 2002Äê11ÔÂ8ÈÕ 10:46
> >> ÊÕ¼þÈË: •c•Ÿ—F
> >> ³ËÍ: [email-masked]
> >> Ö÷Ìâ: Re: µª

---

From: Bin Li <[email-masked]>
Date: Fri, 08 Nov 2002 16:51:05 +0800

Robert,
The difference between HoPE and Mulit-VRF are:
1 According Multi-VRF, PE and Multi-VRF CE need one sub-interface and one IP address for every VPN. But according HoPE, SPE and UPE need only one sub-interface and one IP address for all VPN;
2  By ORF mechanism, SPE NEED NOT configure VRFs which already be configured in UPE. But according Mulit-VRF, PE must do redundant work.
3 According Mulit-VRF, In the worst case, PE need run one PE-CE routing protocol instance for every VPN. But according HoPE, just one MP-BGP instance run between SPE and UPE. It's independent  from # of VPN.  
4 SPE and UPE can link with a tunnel. To do the same thing, there need multiple tunnels between PE and Multi-VRF CE.

In general, HoPE is some dynamic mechanism. But Multi-VRF is some static mechanism. And in general case, the cost of HoPE is little than Multi-VRF.

-----原始邮件-----
发件人: Robert Raszuk [mailto:[email-masked]]
发送时间: 2002年11月8日 16:10
收件人: Bin Li
抄送: Ray Qiu; [email-masked]
主题: Huawei draft

Bin,

True.

True.

Thx,
R.

Bin Li wrote:
> -----Ô­ê¼óê¼þ-----
> ·￠¼þèË: Ray Qiu [mailto:[email-masked]]
> ·￠Ëíê±¼ä: 2002Äê11ÔÂ8èÕ 14:36
> êÕ¼þèË: Bin Li
> ³Ëí: [email-masked]
> Ö÷ìâ: Re: ′ð¸′: ′ð¸′: μª
> 
> Bin,
> 
> > -----Ô­ê¼óê¼þ-----
> > ·￠¼þèË: Ray Qiu [mailto:[email-masked]]
> > ·￠Ëíê±¼ä: 2002Äê11ÔÂ8èÕ 11:59
> > êÕ¼þèË: Bin Li
> > Ö÷ìâ: Re: ′ð¸′: μª
> >
> >
> >
> > Bin,
> >
> >> -----Ô­ê¼óê¼þ-----
> >> ·￠¼þèË: Ray Qiu [mailto:[email-masked]]
> >> ·￠Ëíê±¼ä: 2002Äê11ÔÂ8èÕ 10:46
> >> êÕ¼þèË: •c•Ÿ—F
> >> ³Ëí: [email-masked]
> >> Ö÷ìâ: Re: μª

---

From: ma shaowen <[email-masked]>
Date: Fri, 08 Nov 2002 17:07:09 +0800

But if you implement RFC3107, you can easyly control the route with a label send to the UPE and  ...

---

From: Bin Li <[email-masked]>
Date: Fri, 08 Nov 2002 17:42:50 +0800

Yes, BGP can work well there. So I didn't define LDP or other Auto Discovery protocol to instead it.

---

From: Robert Raszuk <[email-masked]>
Date: Fri, 08 Nov 2002 13:23:54 +0100

Hi Bin,

> 1 According Multi-VRF, PE and Multi-VRF CE need one sub-interface and one IP address for every VPN. But according HoPE, SPE and UPE need only one sub-interface and one IP address for all VPN;

SPE yes when it does not also serve some sites of given VPN directly.
But UPE - no the above is not true. On UPE you will have excatly the
same number of vrfs as you would have on multi-vrf box.

> 2  By ORF mechanism, SPE NEED NOT configure VRFs which already be configured in UPE. But according Mulit-VRF, PE must do redundant work.

ORF has nothing to do with VRF configuration. It is just a vehicle to
push your bgp inbound policy to your peer. 

True.

True.

> In general, HoPE is some dynamic mechanism. But Multi-VRF is some static mechanism. And in general case, the cost of HoPE is little than Multi-VRF.

Also True ;). But we already have also a dynamic mechanism to achive
exactly the goal here. What you are proposing here it is the trival case
of L3VPNs inter-as mechanism (option b). 

Cheers,
R.

> -----åŽŸå§‹é‚®ä»¶-----
> å‘ä»¶äºº: Robert Raszuk [mailto:[email-masked]]
> å‘é€æ—¶é—´: 2002å¹´11æœˆ8æ—¥ 16:10
> æ”¶ä»¶äºº: Bin Li
> æŠ„é€: Ray Qiu; [email-masked]
> ä¸»é¢˜: Huawei draft
> 
> Bin,
> 
> > -----Ã”Â­ÃªÂ¼Ã³ÃªÂ¼Ã¾-----
> > Â·ï¿ Â¼Ã¾Ã¨Ã‹: Ray Qiu [mailto:[email-masked]]
> > Â·ï¿ Ã‹Ã­ÃªÂ±Â¼Ã¤: 2002Ã„Ãª11Ã”Ã‚8Ã¨Ã• 14:36
> > ÃªÃ•Â¼Ã¾Ã¨Ã‹: Bin Li
> > Â³Â­Ã‹Ã­: [email-masked]
> > Ã–Ã·Ã¬Ã¢: Re: â€²Ã°Â¸â€²: â€²Ã°Â¸â€²: Î¼Âª
> >
> > Bin,
> >
> > > -----Ã”Â­ÃªÂ¼Ã³ÃªÂ¼Ã¾-----
> > > Â·ï¿ Â¼Ã¾Ã¨Ã‹: Ray Qiu [mailto:[email-masked]]
> > > Â·ï¿ Ã‹Ã­ÃªÂ±Â¼Ã¤: 2002Ã„Ãª11Ã”Ã‚8Ã¨Ã• 11:59
> > > ÃªÃ•Â¼Ã¾Ã¨Ã‹: Bin Li
> > > Ã–Ã·Ã¬Ã¢: Re: â€²Ã°Â¸â€²: Î¼Âª
> > >
> > >
> > >
> > > Bin,
> > >
> > >> -----Ã”Â­ÃªÂ¼Ã³ÃªÂ¼Ã¾-----
> > >> Â·ï¿ Â¼Ã¾Ã¨Ã‹: Ray Qiu [mailto:[email-masked]]
> > >> Â·ï¿ Ã‹Ã­ÃªÂ±Â¼Ã¤: 2002Ã„Ãª11Ã”Ã‚8Ã¨Ã• 10:46
> > >> ÃªÃ•Â¼Ã¾Ã¨Ã‹: â€¢câ€¢Å¸â€”F
> > >> Â³Â­Ã‹Ã­: [email-masked]
> > >> Ã–Ã·Ã¬Ã¢: Re: Î¼Âª

---

From: Ray Qiu <[email-masked]>
Date: Fri, 08 Nov 2002 08:38:00 -0800

On 11/8/02 4:23, "Robert Raszuk" <[email-masked]> wrote:
>> In general, HoPE is some dynamic mechanism. But Multi-VRF is some static
>> mechanism. And in general case, the cost of HoPE is little than Multi-VRF.
> 
Exactly.

- Ray

---

From: Bin Li <[email-masked]>
Date: Sat, 09 Nov 2002 10:11:19 +0800

> Hi Robert,
  
  ***********************************************************************************************************************
  What I said is the SPE-UPE interface.
  ***********************************************************************************************************************
> push your bgp inbound policy to your peer. 

  ***********************************************************************************************************************
  So import route-target list of UPEs can be transport to SPE by ORF. And SPE can form a HoPE wide import route-target list dynamically.
  ***********************************************************************************************************************

> of L3VPNs inter-as mechanism (option b). 

  ***********************************************************************************************************************
  It seems like inter-as mechanism. But they solve different thing. SPE and UPE are in same AS most time. And according inter-as mechanism, SPE and UPE should advertise all VPN-IPv4 prefixes to each other.
  ***********************************************************************************************************************

----- Original Message ----- 
发件人: "Robert Raszuk" <[email-masked]>
收件人: "Bin Li" <[email-masked]>
抄送: <[email-masked]>
发送时间: 2002年11月8日 20:23
主题: Re: ??: Huawei draft

> > -----åZYå§<é,®ä»¶-----
> > å'ä»¶äºº: Robert Raszuk [mailto:[email-masked]]
> > å'é?æ-¶é-´: 2002å¹´11æo^8æ-¥ 16:10
> > æ"¶ä»¶äºº: Bin Li
> > æS"é?: Ray Qiu; [email-masked]
> > ä¸»é¢~: Huawei draft
> > 
> > Bin,
> > 
> > > -----Ã"Â­ÃªÂ¼Ã³ÃªÂ¼Ã¾-----
> > > Â·ï¿ Â¼Ã¾Ã¨Ã<: Ray Qiu [mailto:[email-masked]]
> > > Â·ï¿ Ã<Ã­ÃªÂ±Â¼Ã¤: 2002Ã"Ãª11Ã"Ã,8Ã¨Ã. 14:36
> > > ÃªÃ.Â¼Ã¾Ã¨Ã<: Bin Li
> > > Â³Â­Ã<Ã­: [email-masked]
> > > Ã-Ã·Ã¬Ã¢: Re: â?²Ã°Â¸â?²: â?²Ã°Â¸â?²: Î¼Âª
> > >
> > > Bin,
> > >
> > > > -----Ã"Â­ÃªÂ¼Ã³ÃªÂ¼Ã¾-----
> > > > Â·ï¿ Â¼Ã¾Ã¨Ã<: Ray Qiu [mailto:[email-masked]]
> > > > Â·ï¿ Ã<Ã­ÃªÂ±Â¼Ã¤: 2002Ã"Ãª11Ã"Ã,8Ã¨Ã. 11:59
> > > > ÃªÃ.Â¼Ã¾Ã¨Ã<: Bin Li
> > > > Ã-Ã·Ã¬Ã¢: Re: â?²Ã°Â¸â?²: Î¼Âª
> > > >
> > > >
> > > >
> > > > Bin,
> > > >
> > > >> -----Ã"Â­ÃªÂ¼Ã³ÃªÂ¼Ã¾-----
> > > >> Â·ï¿ Â¼Ã¾Ã¨Ã<: Ray Qiu [mailto:[email-masked]]
> > > >> Â·ï¿ Ã<Ã­ÃªÂ±Â¼Ã¤: 2002Ã"Ãª11Ã"Ã,8Ã¨Ã. 10:46
> > > >> ÃªÃ.Â¼Ã¾Ã¨Ã<: â?¢câ?¢Å¸â?"F
> > > >> Â³Â­Ã<Ã­: [email-masked]
> > > >> Ã-Ã·Ã¬Ã¢: Re: Î¼Âª

---

From: Robert Raszuk <[email-masked]>
Date: Sat, 09 Nov 2002 10:00:51 +0100

Bin,

>   It seems like inter-as mechanism. 

I am glad you agree.

> But they solve different thing. 
> SPE and UPE are in same AS most time. 

That is fine. That is why I said trival Inter-As case.

> And according inter-as mechanism, 
> SPE and UPE should advertise all 
> VPN-IPv4 prefixes to each other.

No - absolutely not. If you found somewhere any statemnt like this it is
a doc bug :). It would be highly not scalable to have such a requiremnt
in place. Filtering on advertisemnt of vpnv4 routes or at inbound
processing of those incomming is a key to scalability of any inter-as
case.

Cheers,
R.